Bug 1126317 - "/dev/st0: Input/output error" prompted when telling the current block on scsi tape device
Summary: "/dev/st0: Input/output error" prompted when telling the current block on scs...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: scsi-target-utils
Version: 6.6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Andy Grover
QA Contact: Storage QE
URL:
Whiteboard:
Depends On:
Blocks: 1128518
TreeView+ depends on / blocked
 
Reported: 2014-08-04 07:38 UTC by Xiaomei Gao
Modified: 2017-12-06 12:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1128518 (view as bug list)
Environment:
Last Closed: 2017-12-06 12:11:17 UTC


Attachments (Terms of Use)

Description Xiaomei Gao 2014-08-04 07:38:48 UTC
Description of problem:
When telling the current block on scsi tape device, it prompted 'Input/output error'.

Version-Release number of selected component (if applicable):
scsi-target-utils-1.0.24-16.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install and setup the scsi target
# rpm -q scsi-target-utils || yum -y install scsi-target-utils

2. Disable iptables and selinux.
# service iptables stop
# setenforce 0

3. Setup the tape target.
# service tgtd start
# tgtadm --lld iscsi --op new --mode target --tid 1 -T iqn.st:tape:sttarget1
# tgtadm --lld iscsi --op bind --mode target --tid 1 -I ALL
# dd if=/dev/zero of=/root/tape.device bs=1M count=100
# tgtadm --lld iscsi --op new --mode logicalunit --tid 1 --device-type tape --lun 1 -b /root/tape.device
# tgtadm --lld iscsi --op show --mode target
Target 1: iqn.st:tape:sttarget1
    System information:
        Driver: iscsi
        State: ready
    I_T nexus information:
    LUN information:
        LUN: 0
            Type: controller
            SCSI ID: IET     00010000
            SCSI SN: beaf10
            Size: 0 MB, Block size: 1
            Online: Yes
            Removable media: No
            Prevent removal: No
            Readonly: No
            Backing store type: null
            Backing store path: None
            Backing store flags: 
        LUN: 1
            Type: tape
            SCSI ID: IET     00010001
            SCSI SN: beaf11
            Size: 105 MB, Block size: 1
            Online: Yes
            Removable media: Yes
            Prevent removal: No
            Readonly: No
            Backing store type: ssc
            Backing store path: /root/tape.device
            Backing store flags: 
    Account information:
    ACL information:
        ALL

4. Install and setup the iscsi initiator
# rpm -q iscsi-initiator-utils ||  yum -y install iscsi-initiator-utils
# iscsiadm -m discovery -t st -p 127.0.0.1
Starting iscsid:                                           [  OK  ]
127.0.0.1:3260,1 iqn.st:tape:sttarget1
# iscsiadm -m node -l
Logging in to [iface: default, target: iqn.st:tape:sttarget1, portal: 127.0.0.1,3260] (multiple)
Login to [iface: default, target: iqn.st:tape:sttarget1, portal: 127.0.0.1,3260] successful.
# rpm -q lsscsi || yum install -y lsscsi
# lsscsi | grep -w tape
[9:0:0:1]    tape    IET      VIRTUAL-TAPE     0001  /dev/st0 

5. Detect the tape device on host and tell the current block on scsi tape device.
# lsscsi | grep -w tape
# yum install mt* -y
# mt -f /dev/st0 tell


Actual results:
# mt -f /dev/st0 tell
/dev/st0: Input/output error

Expected results:
No error is prompted

Additional info:

Comment 2 Tore H. Larsen 2015-02-05 23:55:53 UTC
cc

Comment 6 Jan Kurik 2017-12-06 12:11:17 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.